{
    onStart(pokemon) 
    {
      this.field.setWeather("sunnyday");
    },
    onAnySetWeather(target, pokemon, weather) 
    {
      const strongWeathers = ["desolateland", "primordialsea", "deltastream"];
      if (this.field.getWeather().id === !strongWeathers.includes(weather.id))
        return false;
    },
    onEnd(pokemon) 
    {
      if (this.field.weatherState.sunnyday !== pokemon)
        return;
      for (const target of this.getAllActive()) 
      {
        if (target === pokemon)
          continue;
        if (target.hasAbility("radiance")) 
        {
          this.field.weatherState.sunnyday = target;
          return;
        }
      }
    },
    flags: {},
    name: "Radiance",
    rating: 4.5,
}